disputes.md
Disputes
Disputes, also known as chargebacks, are customer-disputed charges. A core part of the dispute lifecycle is the ability for a Merchant to upload evidence supporting their side.
List Disputes
- GET /disputes: Retrieve a list of Dispute resources.
Fetch a Dispute
- GET /disputes/{dispute_id}: Retrieve the details of an existing Dispute.
Update Dispute
- PUT /disputes/{dispute_id}: Update tags on a Dispute.
Upload Files as Dispute Evidence
POST /disputes/{dispute_id}/evidence: Upload a file as evidence for a Dispute.
You can upload up to 8 files; the total size of the uploaded files combined cannot exceed 10 MB.
The allowed file formats include JPEG, PDF, PNG.
Individual JPEG, PDF, PNG files can't exceed 1 MB.
PNG files will be automatically converted and returned as JPEG files.
List Dispute Evidence
- GET /disputes/{dispute_id}/evidence: Retrieve a list of Dispute Evidence for a Dispute.
Fetch Dispute Evidence
- GET /disputes/{dispute_id}/evidence/{evidence_id}: Fetch evidence uploaded for a Dispute.
If the Finix Dashboard is unavailable, you can fetch the evidence to review the upload state and confirm it was sent to the processor.
Update Dispute Evidence
- PUT /disputes/{dispute_id}/evidence/{evidence_id}: Update tags on Dispute Evidence.
Delete Dispute Evidence
- DELETE /disputes/{dispute_id}/evidence/{evidence_id}: Delete a Dispute Evidence file. You can delete evidence files only before a Dispute and its uploaded evidence are submitted for the first time, and only on FINIX_V1 or DUMMY_V1.
List Dispute Adjustment Transfers
- GET /disputes/{dispute_id}/adjustment_transfers: List the adjustment Transfers for a Dispute. Depending on the stage of the Dispute, different adjustment Transfer subtypes can be applied.
There are four available subtypes for adjustment Transfers in Disputes:
- PLATFORM_CREDIT
- MERCHANT_DEBIT
- MERCHANT_CREDIT
- PLATFORM_DEBIT
Submit Dispute Evidence
- POST /disputes/{dispute_id}/submit: You can submit evidence to the issuing bank, confirming that the Merchant has completed submitting evidence and is ready to proceed with the Dispute.
Accept a Dispute
- POST /disputes/{dispute_id}/accept: You can accept a Dispute to prevent a long (and potentially expensive) process. When you accept a Dispute, you concede that the Dispute is not worth challenging or representing.
Download Dispute Evidence
- GET /disputes/{dispute_id}/evidence/{evidence_id}/download: Download a file uploaded as Dispute Evidence.
Note: The file extension included in output must match the extension of the original uploaded file.